Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libwnck
Version:	2.30.6
Release:	1
BuildArch:	i686
License:	GNU/GPL
URL:		http://www.gnome.org
Group:		Graphical Desktop/GNOME/Base
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	libwnck is Window Navigator Construction Kit.

BuildRequires: gobject-introspection-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gdk-pixbuf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libXrender-devel
BuildRequires: libXres-devel
BuildRequires: mesa-libGL-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: qt4-devel
BuildRequires: startup-notification-devel
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
libwnck is Window Navigator Construction Kit, i.e. a library to use
for writing pagers and taskslists and stuff.  

libwnck isn't supported in the devel platform, which means OS vendors won't
guarantee the API/ABI long-term, but authors of open source apps
should feel free to use libwnck as users can always recompile against
a new version.  (And the API/ABI has historically changed very little,
I'm not changing it gratuitously or without soname increments.)

There are API docs in the source code, and API documentation can be
generated by configuring --enable-gtk-doc. Also tasklist.c and pager.c make
good sample code.

%package	devel
Summary:	Libraries and headers for libwnck
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
libwnck (pronounced "libwink") is used to implement pagers, tasklists, 
and other such things. It allows applications to monitor information 
about open windows, workspaces, their names/icons, and so forth.

You should install the libwnck-devel package if you would like to
compile applications that use libwnck. You don't need libwnck-devel 
just to use precompiled applications.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/wnckprop
%{_bindir}/wnck-urgency-monitor
%{_libdir}/libwnck-1.so.*
%{_locale}/*/LC_MESSAGES/libwnck.mo

%files devel
%defattr(-,root,root)
%{_includedir}/libwnck-1.0/libwnck
%{_libdir}/girepository-1.0/Wnck-1.0.typelib
%{_libdir}/libwnck-1.a
%{_libdir}/libwnck-1.la
%{_libdir}/libwnck-1.so
%{_pkgconfig}/libwnck-1.0.pc
%{_docdir}/libwnck-%{version}
%{_datadir}/gir-1.0/Wnck-1.0.gir
%{_datadir}/gtk-doc/html/libwnck


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.30.6-1
- Version update
* Mon Nov 23 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.0-1
- Version update
* Tue Apr 07 2009 Christian Metzen <metzench@ccux-linux.de> 2.26.0-2
- rebuild for missing devel package
* Thu Mar 26 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Wed Nov 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.2-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-2
- rebuild, moved libexec
* Mon Nov 06 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-1
- Version update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.0-1
- Version Update
* Tue Feb 28 2005 Christian Wasem <wasem@ccux-linux.de> 2.13.92-1
- Initial Release
